Doomsday Engine - Bug #2030

[Hexen] Wendigo attack angle incorrect
2015-05-03 20:29 - vermil

Status: Closed Start date: 2015-05-03
Priority: Normal % Done: 100%
Assignee: danij

Category: Regression

Target version:

Description
In the latest unstable build, Wendigo missile attacks are aimed downward toward the floor instead of at the player.

Maybe an oversight with this commit?

http:/tracker.skyjake.fi/projects/deng/repository/revisions/180a66¢c9c0b34bb2be27b263a9bbc28803591790

Associated revisions

Revision 3605f631 - 2015-05-04 04:00 - danij

Fixed|Hexen: Wendigo attack angle incorrect

Unusually, vanilla Hexen uses the relative position of the Wendigo
itself, rather than the spawn point of the missile it launches, when
determining the missile's launch angle and momentum.

IssuelD #2030

History

#1 - 2015-05-04 02:32 - danij

- Category set to Regression

- Status changed from New to In Progress
- Assignee set to danij

- Target version set to 49

#2 - 2015-05-04 02:32 - danij

- Subject changed from [HeXen] Wendigo attack angle incorrect to [Hexen] Wendigo attack angle incorrect

#3 - 2015-05-04 02:33 - danij

- Tags set to Hexen, PlaySim

#4 - 2015-05-04 03:57 - danij

Indeed this regression is the result of an oversight in that recent commit. Unusually, vanilla Hexen uses the relative position of the Wendigo itself,
rather than the spawn point of the missile it launches, when determining the missile's launch angle and momentum.

#5 - 2015-05-04 04:01 - danij
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#6 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)
